LangAttribute (xmlbeans API)

org.apache.xmlbeans.impl.xb.xmlschema

## Interface LangAttribute

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Implementing Classes:
    LangAttributeImpl

      public interface LangAttribute
      extends XmlObject

  A document containing one lang(@http://www.w3.org/XML/1998/namespace) attribute. This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `LangAttribute.Lang` An XML lang(@http://www.w3.org/XML/1998/namespace).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<LangAttribute>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLang()` Gets the "lang" attribute
    `boolean` | `isSetLang()` True if has "lang" attribute
    `void` | `setLang(String lang)` Sets the "lang" attribute
    `void` | `unsetLang()` Unsets the "lang" attribute
    `LangAttribute.Lang` | `xgetLang()` Gets (as xml) the "lang" attribute
    `void` | `xsetLang(LangAttribute.Lang lang)` Sets (as xml) the "lang" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<LangAttribute> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getLang

          String getLang()

      Gets the "lang" attribute

    - #### xgetLang

          LangAttribute.Lang xgetLang()

      Gets (as xml) the "lang" attribute

    - #### isSetLang

          boolean isSetLang()

      True if has "lang" attribute

    - #### setLang

          void setLang(String lang)

      Sets the "lang" attribute

    - #### xsetLang

          void xsetLang(LangAttribute.Lang lang)

      Sets (as xml) the "lang" attribute

    - #### unsetLang

          void unsetLang()

      Unsets the "lang" attribute